<odoo>
    <record id="view_mcs_appointment_type_tree" model="ir.ui.view">
        <field name="name">mcs.appointment.type.tree</field>
        <field name="model">mcs.appointment.type</field>
        <field name="arch" type="xml">
            <tree>
                <field name="sequence" widget="handle"/>
                <field name="name"/>
                <field name="user_id"/>
                <field name="calendar_id"/>
                <field name="duration"/>
                <field name="slot_step"/>
                <field name="website_published"/>
                <field name="company_id" groups="base.group_multi_company"/>
            </tree>
        </field>
    </record>

    <record id="view_mcs_appointment_type_form" model="ir.ui.view">
        <field name="name">mcs.appointment.type.form</field>
        <field name="model">mcs.appointment.type</field>
        <field name="arch" type="xml">
            <form>
                <sheet>
                    <div class="oe_button_box" name="button_box">
                        <button name="action_view_bookings" type="object" class="oe_stat_button" icon="fa-calendar">
                            <field name="booking_count" widget="statinfo" string="Bookings"/>
                        </button>
                    </div>
                    <group>
                        <group>
                            <field name="name"/>
                            <field name="active"/>
                            <field name="website_published"/>
                            <field name="company_id" groups="base.group_multi_company"/>
                        </group>
                        <group>
                            <field name="user_id"/>
                            <field name="calendar_id"/>
                            <field name="duration"/>
                            <field name="slot_step"/>
                            <field name="min_schedule_hours"/>
                            <field name="max_schedule_days"/>
                        </group>
                    </group>
                    <notebook>
                        <page string="Description">
                            <field name="description"/>
                        </page>
                    </notebook>
                </sheet>
                <div class="oe_chatter">
                    <field name="message_follower_ids"/>
                    <field name="activity_ids"/>
                    <field name="message_ids"/>
                </div>
            </form>
        </field>
    </record>

    <record id="action_mcs_appointment_type" model="ir.actions.act_window">
        <field name="name">Appointment Types</field>
        <field name="res_model">mcs.appointment.type</field>
        <field name="view_mode">tree,form</field>
    </record>
</odoo>
